myDC.ru

Здравствуйте, гость ( Вход | Регистрация )

 
3 страниц V   1 2 3 >  
Ответить в данную темуНачать новую тему

> Обсуждение первого API

API 1
Нужна ли поддержка API 1
Да [ 19 ] ** [31.15%]
Нет [ 42 ] ** [68.85%]
Всего голосов: 61
Гости не могут голосовать 
Теги
Нет тегов для показа
Wariner
сообщение 26.1.2010, 17:52
Сообщение #1


Самый главный активист :-D
***********

Группа: Модераторы
Сообщений: 2 790
Регистрация: 29.6.2008
Из: г. Тула
Пользователь №: 97
Спасибо сказали: 440 раз




Итак API2 существует уже достаточно давно! Абсолютно все скрипты можно перевести с первого апи на второй.
Отсюда предлагаю прекратить поддержку первого API и удалять все запросы на переведение со второго на первый!

Обсуждаем!
Go to the top of the page
+Quote Post
Saymon21
сообщение 26.1.2010, 18:06
Сообщение #2


Site Reliability Engineer
*********

Группа: Модераторы
Сообщений: 1 772
Регистрация: 27.6.2009
Из: Чувашия, г. Чебоксары
Пользователь №: 3 719
Спасибо сказали: 479 раз




в принцепе да можно думаю так, Wariner не в обиду, но может стоило тему эту в общалке флуд написать? big_smile.gif
Go to the top of the page
+Quote Post
Setuper
сообщение 26.1.2010, 19:17
Сообщение #3


RusHub team lead
**************

Группа: Модераторы
Сообщений: 4 030
Регистрация: 20.6.2008
Из: г. Королёв (Моск. обл.)
Пользователь №: 46
Спасибо сказали: 1708 раз




Не забываем, что для перевода скриптов под api1 существует метод быстрого перевода big_smile.gif
Go to the top of the page
+Quote Post
F I L I N
сообщение 26.1.2010, 23:28
Сообщение #4


Активный участник
***

Группа: Пользователи
Сообщений: 67
Регистрация: 7.12.2008
Из: Ульяновск
Пользователь №: 1 358
Спасибо сказали: 4 раза




Да да можно думаю больше даже не использовать старьё раз новое и так стабильно все работает ;) я за API2
Go to the top of the page
+Quote Post
denis
сообщение 27.1.2010, 1:26
Сообщение #5


Активный участник
***

Группа: Пользователи
Сообщений: 50
Регистрация: 23.11.2008
Пользователь №: 1 182
Спасибо сказали: 2 раза




поддерживаю
Go to the top of the page
+Quote Post
Wariner
сообщение 27.1.2010, 14:37
Сообщение #6


Самый главный активист :-D
***********

Группа: Модераторы
Сообщений: 2 790
Регистрация: 29.6.2008
Из: г. Тула
Пользователь №: 97
Спасибо сказали: 440 раз




В виду того что активность не очень большая открыл опрос может быть кто то захочет остаться анонимным...

PS: в особенности хотелось бы услышать скриптописцев и людей которые сидят до сих пор на старых птока!
Go to the top of the page
+Quote Post
Nickolya
сообщение 27.1.2010, 14:56
Сообщение #7


Главный ра******й тут...
*********

Группа: Главные администраторы
Сообщений: 1 724
Регистрация: 18.5.2008
Из: RF, 2la
Пользователь №: 1
Спасибо сказали: 772 раза




Я думаю ты прав Илюх, пора забивать на это, единственное если есть хороший скрипт, то почему бы его не перевести, правда я такие редко встречаю big_smile.gif Мне кажется не так и много запросов перевода, а основную массу уже перевели, так что даже не знаю как быть big_smile.gif
Вообще старье не нужно однозначно! А на старых версиях хаба людей держит нежелание искать весь функционал скриптов под новый хаб, настраивать все заново и прочее, короче незнание и лень, что показывает небрежность и некомпетентность самого админа big_smile.gif


Спасибо сказали:
Go to the top of the page
+Quote Post
morn
сообщение 27.1.2010, 15:52
Сообщение #8


Участник
**

Группа: Пользователи
Сообщений: 40
Регистрация: 30.12.2008
Пользователь №: 1 606
Спасибо сказали: 0 раз




Не согласен, однозначно! и дело не в том что лень перейти на новую и настраивать всё заново!
Есть и другие причины! Мне например не нравится то что, нет возможности без перезапуска работать в окне MOTD. тоесть она есть но не раскрывается на вест экран, надо лезть в сам файл и там править и патом перезапускать Хаб в таком маленьком окне неудобно работать! Также не нравится и то что, при закрытии окна чата админа там всё удаляется и опять же надо лезти в логи, неудобно!
Ну а, уж если решили не поддерживать хоть как то, то так и напишите, поддержка API1 неосуществляем!
Мне за Вас стало оч грустно!
Go to the top of the page
+Quote Post
Setuper
сообщение 27.1.2010, 16:28
Сообщение #9


RusHub team lead
**************

Группа: Модераторы
Сообщений: 4 030
Регистрация: 20.6.2008
Из: г. Королёв (Моск. обл.)
Пользователь №: 46
Спасибо сказали: 1708 раз




Вопрос опроса некорректен. Что значит: "Нужно ли API 1"? Кому нужно? Оно вроде как существует само по себе независимо от кого бы то ни было big_smile.gif
Go to the top of the page
+Quote Post
Nickolya
сообщение 27.1.2010, 16:47
Сообщение #10


Главный ра******й тут...
*********

Группа: Главные администраторы
Сообщений: 1 724
Регистрация: 18.5.2008
Из: RF, 2la
Пользователь №: 1
Спасибо сказали: 772 раза




Цитата(morn @ 27.1.2010, 15:52) *
Есть и другие причины! Мне например не нравится то что, нет возможности без перезапуска работать в окне MOTD. тоесть она есть но не раскрывается на вест экран, надо лезть в сам файл и там править и патом перезапускать Хаб в таком маленьком окне неудобно работать! Также не нравится и то что, при закрытии окна чата админа там всё удаляется и опять же надо лезти в логи, неудобно!

А вообще зачем тебе эта фигня нужна, запусти клиент и общайся, смотри там логи и прочее, зачем такая заморочка? Мотд давно пора сделать скриптом и всего-навсего перезапускать скрипт после правки мотда. Да и скрипт позволяющий править мотд в чате бота тоже по-моему есть... + скрипт истории чата доже дает все нужные функции, представь что у тебя хаб консольный и там нет никакого гуи, тогда все будет замечательно.

Setuper, все упирается в тех кто пишет и разбирается в скриптах, согласен что формулировка кривовата, хотя суть ясна big_smile.gif
Go to the top of the page
+Quote Post
morn
сообщение 27.1.2010, 17:00
Сообщение #11


Участник
**

Группа: Пользователи
Сообщений: 40
Регистрация: 30.12.2008
Пользователь №: 1 606
Спасибо сказали: 0 раз




Цитата(Nickolya @ 27.1.2010, 17:47) *
А вообще зачем тебе эта фигня нужна

Выходит у Вас есть только 2-а варианта Вашего мнения!
1-ый. Господа мы хотим навязать Вам то что, написано в первом посте ибо нам так хочется!
а если вам что не нравится то см. вариант 2.
2.-ой. Поддержка API1 больше неосуществляем!
Go to the top of the page
+Quote Post
Wariner
сообщение 27.1.2010, 17:43
Сообщение #12


Самый главный активист :-D
***********

Группа: Модераторы
Сообщений: 2 790
Регистрация: 29.6.2008
Из: г. Тула
Пользователь №: 97
Спасибо сказали: 440 раз




Цитата(morn @ 27.1.2010, 15:52) *
Есть и другие причины!

С первым согласен частично, да неудобно, но хаб у которого MOTD сделан без скриптов как то настораживает...
Со вторым, ну если ты хочешь чтоб у тебя чат был так не закрывай...

Тема была поднята для выяснения упрямства некоторых админов. Типа давай попросим разработчиков игр сделать для их последних выпусков поддержку dos`а как вам идейка?))))

PS: опрос чуть скорректировал.
Go to the top of the page
+Quote Post
FallenAngel
сообщение 27.1.2010, 18:27
Сообщение #13


[n00b]
*****

Группа: Пользователи
Сообщений: 291
Регистрация: 10.7.2008
Из: Россия,Пенза
Пользователь №: 168
Спасибо сказали: 24 раза




morn
Меня тоже не устраивало окно админ чата.. но потом я стал его сворачивать. выход достаточно легок ;)

А в целом... Хм.. значит ли это, что новые посты о просьбе написания скрипта(ов) под АПИ1 будут просто игнорироваться и удаляться в корзину? И что будете делать с уже готвыми скриптами со старым АПИ?big_smile.gif Как по мне-не совсем корректный опрос.. Надо было пожалуй в флуде писать и спрашивать кто что использует и почему big_smile.gif
Go to the top of the page
+Quote Post
X-Sky
сообщение 27.1.2010, 18:31
Сообщение #14


Освоившийся участник
*****

Группа: Модераторы
Сообщений: 352
Регистрация: 25.7.2009
Пользователь №: 3 960
Спасибо сказали: 73 раза




Цитата
...и удалять все запросы на переведение со второго на первый!


Не думаю, что стоит так делать, наверное, нужно просто давать ссылку на эту тему, либо же просто говорить, что поддержка первого API была прекращена и стоит переходить на те платформы хабов, которые поддерживают API2
Go to the top of the page
+Quote Post
Setuper
сообщение 27.1.2010, 18:44
Сообщение #15


RusHub team lead
**************

Группа: Модераторы
Сообщений: 4 030
Регистрация: 20.6.2008
Из: г. Королёв (Моск. обл.)
Пользователь №: 46
Спасибо сказали: 1708 раз




Для первого апи существует достаточно простой метод быстрого перевода. Большинство скриптов(если не все) можно перевести этим методом, нужно только внимательно читать что написано и делать всё по инструкции. Поэтому, по поводу перевода скриптов на апи1, не вижу проблемы.
Go to the top of the page
+Quote Post
Nickolya
сообщение 27.1.2010, 21:58
Сообщение #16


Главный ра******й тут...
*********

Группа: Главные администраторы
Сообщений: 1 724
Регистрация: 18.5.2008
Из: RF, 2la
Пользователь №: 1
Спасибо сказали: 772 раза




Я думаю так координально все делать не стоит, пусть темы будут, кто сидит на старом софте - их дело. Будут запросы на скрипты, и правда, есть метод быстрого перевода, а если что и мы поправим, не зря же тут сидим big_smile.gif
Go to the top of the page
+Quote Post
morn
сообщение 27.1.2010, 23:00
Сообщение #17


Участник
**

Группа: Пользователи
Сообщений: 40
Регистрация: 30.12.2008
Пользователь №: 1 606
Спасибо сказали: 0 раз




Действительно! Мыж не просим написать скрипт под апи1, но, еси не получитссо перевести пральна, как в моём случае с техподержкой чтож теперь просьбы в помощи удалять?!
Ну не нрава мну 4 версия всё через эти вылетающие как их там поп или ап окна, придёт время сами перейдём!
Go to the top of the page
+Quote Post
Saymon21
сообщение 27.1.2010, 23:12
Сообщение #18


Site Reliability Engineer
*********

Группа: Модераторы
Сообщений: 1 772
Регистрация: 27.6.2009
Из: Чувашия, г. Чебоксары
Пользователь №: 3 719
Спасибо сказали: 479 раз




Печально что тут и тут ответа так и нету. unhappy.gif Правда альтернативу уже нашёл.
Go to the top of the page
+Quote Post
Dimon21
сообщение 29.1.2010, 4:37
Сообщение #19


Активный участник
***

Группа: Пользователи
Сообщений: 65
Регистрация: 23.7.2009
Пользователь №: 3 945
Спасибо сказали: 6 раз




Согласен API 1 морально устарел и нет смысла на нём задерживаться.Это как железо требует постоянного обновления.
Go to the top of the page
+Quote Post
Otshelnik-Fm
сообщение 29.1.2010, 19:42
Сообщение #20


Я коварный Санта Клаус
******

Группа: Пользователи
Сообщений: 523
Регистрация: 4.11.2008
Из: Саратов
Пользователь №: 985
Спасибо сказали: 54 раза




Апи1 закинуть в раздел ретро. Для поклонников виндовс 3.11 и dendy big_smile.gif


Спасибо сказали:
Go to the top of the page
+Quote Post

3 страниц V   1 2 3 >
Ответить в данную темуНачать новую тему
1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0

 



RSS Сейчас: 15.11.2018, 12:21